Phpbb升级后无法使用

phpBB 3.2.X 相关的使用、安装等话题
版面规则
《发帖时,请复制下列格式文本,提供完整的信息,勿简略发布》


###### 以下为“基本的提问格式” ######
  • 主机操作系统: Windows (XP, 7, 8, 10)、Linux(Redhat,Centos, Mandrake等等)、或者其他的(请务必注明版本)
  • 快速架站程序: AppServ、XAMPP 等等(请务必注明版本号)
  • 您的上网方式:ADSL、Cable、FTTB等等 (请务必留下 ISP 名称或 ISP 官网)
  • 您安装的程序: Apache + php + MySQL 或者其他的组合 (请务必留下版本号,如果使用上面的快速架站程序就不必写了)
  • 您的 phpBB 版本: phpBB 3.2.2
  • 您的域名: 比如 phpbbchinese.com
  • 您的 phpBB 网址: 比如 https://www.phpbbchinese.com/
###### 以上为“基本的提问格式” ######

  • 安装扩展: 请注明安装扩展的名称,版本以及参考链接(非扩展问题免填)
  • 安装风格: 请注明安装的风格名称,版本以及参考链接(非风格问题免填)
  • 错误代码: 请使用 Code 标签将错误代码标识出来,如下:

代码: 全选

错误代码
  • 错误状态:如果没有错误代码,请直接贴出截图,或者是详细叙述错误状态内容。
备注:
如果需要,请提供测试用的账号与密码
若是管理账号,请使用短信联系站长
回复
yatoo32453
新注册用户
新注册用户
新手上路
新手上路
帖子: 1
注册时间: 2018年3月6日 18:34

Phpbb升级后无法使用

帖子 yatoo32453 » 2018年3月6日 18:39

背景:用的群辉服务器,系统升级后发现phpbb用不了了,提示修复。
最终发现Phpbb升级为3.2了,准确的说是新被新安装了,因为之前的论坛内容都没了。
同时发现MariaDB原先应该是5,也自动升级成了10,并且和5同时存在。
现在的情况是MariaDB5应该是保存着原先论坛的数据,但导出后在MariaDB10导入时出现下述error:
求解,痛苦中。

SQL query:

CREATE TABLE `phpbb_acl_groups` (
`group_id` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
`forum_id` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
`auth_option_id` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
`auth_role_id` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
`auth_setting` tinyint(2) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
MySQL said: Documentation

#1050 - Table 'phpbb_acl_groups' already exists



头像
davidyin
网站管理员
网站管理员
Medal 3
Medal 3
帖子: 885
注册时间: 2015年11月19日 01:50
联系:

Re: Phpbb升级后无法使用

帖子 davidyin » 2018年3月6日 19:46

你这看来是群晖升级的问题。

你可以先搭一个旧版的 phpbb,把数据导入,然后升级到最新版,再把数据倒过来。
居住在西八区,有时差,提问请按照“通用提问格式”提问,未必能及时回复,见谅。
提供 phpBB 服务

回复